### Type parameters

- #### T

### Hierarchy

- BaseXmlComponent
  - XmlAttributeComponent
    - Attributes
    - AlignmentAttributes
    - AppPropertiesAttributes
    - ContentTypeAttributes
    - DefaultAttributes
    - OverrideAttributes
    - DocumentAttributes
    - TableFloatOptionsAttributes
    - FooterAttributes
    - RelationshipsAttributes
    - RelationshipAttributes
    - HeaderAttributes
    - ColumnsAttributes
    - DocGridAttributes
    - FooterReferenceAttributes
    - HeaderReferenceAttributes
    - PageMarginAttributes
    - PageNumberTypeAttributes
    - PageSizeAttributes
    - TitlePageAttributes
    - FootnoteAttributes
    - FootnotesAttributes
    - UpdateFieldsAttributes
    - SettingsAttributes
    - GraphicDataAttributes
    - PicLocksAttributes
    - NonVisualPropertiesAttributes
    - PicAttributes
    - ExtentsAttributes
    - OffsetAttributes
    - PresetGeometryAttributes
    - ShapePropertiesAttributes
    - DocPropertiesAttributes
    - EffectExtentAttributes
    - ExtentAttributes
    - GraphicFrameLockAttributes
    - AnchorAttributes
    - InlineAttributes
    - TabAttributes
    - FootNoteReferenceRunAttributes
    - HyperlinkAttributes
    - BookmarkStartAttributes
    - BookmarkEndAttributes

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- prepForXml
- set

## Constructors

### constructor

- new XmlAttributeComponent(properties: T): XmlAttributeComponent

- Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:9

  #### Parameters

  - ##### properties: T

  #### Returns XmlAttributeComponent

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### prepForXml

- prepForXml(): IXmlableObject

- Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:16

  #### Returns IXmlableObject

### set

- set(properties: T): void

- - Defined in file/xml-components/default-attributes.ts:28

  #### Parameters

  - ##### properties: T

  #### Returns void

Generated using TypeDoc